---
title: "Update a team's metadata, members, and/or rule"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › AgentTeams

`PUT /api/agent-teams/{teamId}`

## Authentication

- `ApiKeyAuth`, apiKey, in header, header `X-API-Key`, format `API_KEY`

## Path parameters

- `teamId` (`put/api/agent-teams/teamId.path.teamId`; string, required)

## Code samples

### cURL

```bash
curl --request PUT \
  --url 'https://api.channelautomation.com/api/agent-teams/<teamId>' \
  --header 'X-API-Key: <X-API-Key>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/agent-teams/<teamId>';
const options = {method: 'PUT', headers: {'X-API-Key': '<X-API-Key>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/agent-teams/<teamId>"

headers = {"X-API-Key": "<X-API-Key>"}

response = requests.put(url, headers=headers)

print(response.text)
```

## Responses

### 200

Team updated


Source: https://developer.channelautomations.com/api/put-api-agent-teams-team-id/index.md
